### A free/open-source library for quantitative finance

Public Member Functions
Vasicek::Dynamics Class Reference

Short-rate dynamics in the Vasicek model. More...

`#include <ql/models/shortrate/onefactormodels/vasicek.hpp>`

Inheritance diagram for Vasicek::Dynamics:
[legend]

List of all members.

## Public Member Functions

| Dynamics (Real a, Real b, Real sigma, Real r0)
virtual Real | variable (Time, Rate r) const
| Compute state variable from short rate.
virtual Real | shortRate (Time, Real x) const
| Compute short rate from state variable.

## Detailed Description

Short-rate dynamics in the Vasicek model.

The short-rate follows an Ornstein-Uhlenbeck process with mean .